<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>PPII: Riferimenti per la struct oggetto</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">PPII
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generato da Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Cerca');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Pagina&#160;Principale</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classi</span></a></li>
      <li><a href="files.html"><span>File</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Cerca" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Elenco&#160;dei&#160;tipi&#160;composti</span></a></li>
      <li><a href="classes.html"><span>Indice&#160;dei&#160;tipi&#160;composti</span></a></li>
      <li><a href="functions.html"><span>Membri&#160;dei&#160;composti</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Attributi pubblici</a> &#124;
<a href="structoggetto-members.html">Elenco di tutti i membri</a>  </div>
  <div class="headertitle">
<div class="title">Riferimenti per la struct oggetto</div>  </div>
</div><!--header-->
<div class="contents">

<p>(NON IMPLEMENTATO) struct struttura { <a class="el" href="structinformazioni__disegno.html" title="Struttura che contiene tutte le informazioni necessarie a disegnare lo sprite di un&#39;entità e la sua r...">informazioni_disegno</a> draw; bool visibile; };  
 <a href="structoggetto.html#details">Continua...</a></p>

<p><code>#include &lt;<a class="el" href="dati_8h_source.html">dati.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Attributi pubblici</h2></td></tr>
<tr class="memitem:a19939efcb5676eef1b4d95fd1c777ec4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structpersonaggio.html">personaggio</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structoggetto.html#a19939efcb5676eef1b4d95fd1c777ec4">padre</a></td></tr>
<tr class="memdesc:a19939efcb5676eef1b4d95fd1c777ec4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Puntatore al personaggio che ha generato questo oggetto.  <a href="#a19939efcb5676eef1b4d95fd1c777ec4">Continua...</a><br /></td></tr>
<tr class="separator:a19939efcb5676eef1b4d95fd1c777ec4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab79a9e0037b205c151d52e27a68b44dd"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structoggetto.html#ab79a9e0037b205c151d52e27a68b44dd">x</a></td></tr>
<tr class="memdesc:ab79a9e0037b205c151d52e27a68b44dd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Posizione sull'asse delle ascisse dell'oggetto.  <a href="#ab79a9e0037b205c151d52e27a68b44dd">Continua...</a><br /></td></tr>
<tr class="separator:ab79a9e0037b205c151d52e27a68b44dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ba312b983312421772a0941dafeafa9"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structoggetto.html#a9ba312b983312421772a0941dafeafa9">y</a></td></tr>
<tr class="memdesc:a9ba312b983312421772a0941dafeafa9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Posizione sull'asse delle ordinate dell'oggetto.  <a href="#a9ba312b983312421772a0941dafeafa9">Continua...</a><br /></td></tr>
<tr class="separator:a9ba312b983312421772a0941dafeafa9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a307e101989ae2fdb1cac11145f4d9ced"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structoggetto.html#a307e101989ae2fdb1cac11145f4d9ced">vel_x</a></td></tr>
<tr class="memdesc:a307e101989ae2fdb1cac11145f4d9ced"><td class="mdescLeft">&#160;</td><td class="mdescRight">Velocità sull'asse x dell'oggetto.  <a href="#a307e101989ae2fdb1cac11145f4d9ced">Continua...</a><br /></td></tr>
<tr class="separator:a307e101989ae2fdb1cac11145f4d9ced"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ec5250043959c6863f77e38fb900652"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structoggetto.html#a1ec5250043959c6863f77e38fb900652">vel_y</a></td></tr>
<tr class="memdesc:a1ec5250043959c6863f77e38fb900652"><td class="mdescLeft">&#160;</td><td class="mdescRight">Velocità sull'asse y dell'oggetto.  <a href="#a1ec5250043959c6863f77e38fb900652">Continua...</a><br /></td></tr>
<tr class="separator:a1ec5250043959c6863f77e38fb900652"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e67c067c5b154d2572463c9f5a40523"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structoggetto.html#a7e67c067c5b154d2572463c9f5a40523">fase_attacco</a></td></tr>
<tr class="memdesc:a7e67c067c5b154d2572463c9f5a40523"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indica quanti incrementi alla x dell'oggetto sono stati eseguiti.  <a href="#a7e67c067c5b154d2572463c9f5a40523">Continua...</a><br /></td></tr>
<tr class="separator:a7e67c067c5b154d2572463c9f5a40523"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab26bec51733d8211e5593cf0eed86f04"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structoggetto.html#ab26bec51733d8211e5593cf0eed86f04">in_uscita</a></td></tr>
<tr class="memdesc:ab26bec51733d8211e5593cf0eed86f04"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indica se l'arma è in uscita (solo per oggetto arma ravvicinata)  <a href="#ab26bec51733d8211e5593cf0eed86f04">Continua...</a><br /></td></tr>
<tr class="separator:ab26bec51733d8211e5593cf0eed86f04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5585997dcfbdf5bf957f501b8a8b1fc2"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structoggetto.html#a5585997dcfbdf5bf957f501b8a8b1fc2">rim</a></td></tr>
<tr class="memdesc:a5585997dcfbdf5bf957f501b8a8b1fc2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indica se l'arma deve essere rimossa.  <a href="#a5585997dcfbdf5bf957f501b8a8b1fc2">Continua...</a><br /></td></tr>
<tr class="separator:a5585997dcfbdf5bf957f501b8a8b1fc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d929396151c7fd2a5d47ae9a99b3a38"><td class="memItemLeft" align="right" valign="top"><a class="el" href="dati_8h.html#af342225ad7bf4f6af235b7e5483643c2">direzione_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structoggetto.html#a4d929396151c7fd2a5d47ae9a99b3a38">direzione</a></td></tr>
<tr class="memdesc:a4d929396151c7fd2a5d47ae9a99b3a38"><td class="mdescLeft">&#160;</td><td class="mdescRight">Direzione di movimento dell'oggetto.  <a href="#a4d929396151c7fd2a5d47ae9a99b3a38">Continua...</a><br /></td></tr>
<tr class="separator:a4d929396151c7fd2a5d47ae9a99b3a38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dc23f6c3ed84f53db529288b8e3ed1a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structinformazioni__disegno.html">informazioni_disegno</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structoggetto.html#a8dc23f6c3ed84f53db529288b8e3ed1a">sprite</a></td></tr>
<tr class="memdesc:a8dc23f6c3ed84f53db529288b8e3ed1a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Informazioni di disegno dell'oggetto.  <a href="#a8dc23f6c3ed84f53db529288b8e3ed1a">Continua...</a><br /></td></tr>
<tr class="separator:a8dc23f6c3ed84f53db529288b8e3ed1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Descrizione dettagliata</h2>
<div class="textblock"><p>(NON IMPLEMENTATO) struct struttura { <a class="el" href="structinformazioni__disegno.html" title="Struttura che contiene tutte le informazioni necessarie a disegnare lo sprite di un&#39;entità e la sua r...">informazioni_disegno</a> draw; bool visibile; }; </p>
<p>(NON IMPLEMENTATO) struct effetto { <a class="el" href="structinformazioni__disegno.html" title="Struttura che contiene tutte le informazioni necessarie a disegnare lo sprite di un&#39;entità e la sua r...">informazioni_disegno</a> draw; };Struttura che descrive un qualsiasi oggetto in gioco, in questa implementazione, un'arma da lancio </p>
</div><h2 class="groupheader">Documentazione dei membri dato</h2>
<a class="anchor" id="a4d929396151c7fd2a5d47ae9a99b3a38"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="dati_8h.html#af342225ad7bf4f6af235b7e5483643c2">direzione_t</a> oggetto::direzione</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Direzione di movimento dell'oggetto. </p>

</div>
</div>
<a class="anchor" id="a7e67c067c5b154d2572463c9f5a40523"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int oggetto::fase_attacco</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Indica quanti incrementi alla x dell'oggetto sono stati eseguiti. </p>

</div>
</div>
<a class="anchor" id="ab26bec51733d8211e5593cf0eed86f04"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool oggetto::in_uscita</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Indica se l'arma è in uscita (solo per oggetto arma ravvicinata) </p>

</div>
</div>
<a class="anchor" id="a19939efcb5676eef1b4d95fd1c777ec4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structpersonaggio.html">personaggio</a>* oggetto::padre</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Puntatore al personaggio che ha generato questo oggetto. </p>

</div>
</div>
<a class="anchor" id="a5585997dcfbdf5bf957f501b8a8b1fc2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool oggetto::rim</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Indica se l'arma deve essere rimossa. </p>

</div>
</div>
<a class="anchor" id="a8dc23f6c3ed84f53db529288b8e3ed1a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structinformazioni__disegno.html">informazioni_disegno</a> oggetto::sprite</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Informazioni di disegno dell'oggetto. </p>

</div>
</div>
<a class="anchor" id="a307e101989ae2fdb1cac11145f4d9ced"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int oggetto::vel_x</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Velocità sull'asse x dell'oggetto. </p>

</div>
</div>
<a class="anchor" id="a1ec5250043959c6863f77e38fb900652"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int oggetto::vel_y</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Velocità sull'asse y dell'oggetto. </p>

</div>
</div>
<a class="anchor" id="ab79a9e0037b205c151d52e27a68b44dd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int oggetto::x</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Posizione sull'asse delle ascisse dell'oggetto. </p>

</div>
</div>
<a class="anchor" id="a9ba312b983312421772a0941dafeafa9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int oggetto::y</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Posizione sull'asse delle ordinate dell'oggetto. </p>

</div>
</div>
<hr/>La documentazione per questa struct è stata generata a partire dal seguente file:<ul>
<li><a class="el" href="dati_8h_source.html">dati.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generato Mer 6 Set 2017 17:21:16 per PPII da &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
</body>
</html>
